Get All Roles
https://app.fossa.com/api/rolesGet all roles for users in an organization
Responses
200OKArray of:
idintegerThe role's unique identifier
organizationIdintegerThe organization's unique identifier
isCustombooleanWhether the role is custom
scopeenumThe role's scope
organizationteamnamestringThe role's name
descriptionstringThe role's description
createdAtstring <date-time>The role's creation date
updatedAtstring <date-time>The role's last update date
permissionsobject[]resourceTypestringThe resource type
actionstringThe action
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/rolescurl --request GET \ --url 'https://app.fossa.com/api/roles' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.